Permalink
Browse files

Drop 2.6, 3.3 from travis at least.

Most other bits in the ecosystem, now including stuff like Releases,
officially don't support 2.6/3.3 anymore. Not yet willing to make
the official cut here, but we can at least keep it from causing
test fails.
  • Loading branch information...
bitprophet committed Oct 27, 2017
1 parent 7e07e78 commit 1cd6ea6ece97f7d1e0567cc51f8f4ae9e5e2c304
Showing with 0 additions and 14 deletions.
  1. +0 −14 .travis.yml
View
@@ -1,9 +1,7 @@
language: python
cache: pip
python:
- "2.6"
- "2.7"
- "3.3"
- "3.4"
- "3.5"
- "3.6"
@@ -14,18 +12,6 @@ env:
- SPHINX=">=1.4,<1.5"
- SPHINX=">=1.5,<1.6"
- SPHINX=">=1.6,<1.7"
matrix:
exclude:
# Sphinx dropped Python 2.6 support in version 1.5
- python: "2.6"
env: SPHINX=">=1.5,<1.6"
- python: "2.6"
env: SPHINX=">=1.6,<1.7"
# And they dropped Python 3.3 support at some point too.
- python: "3.3"
env: SPHINX=">=1.5,<1.6"
- python: "3.3"
env: SPHINX=">=1.6,<1.7"
install:
# For some reason Travis' build envs have wildly different pip/setuptools
# versions between minor Python versions, and this can cause many hilarious

0 comments on commit 1cd6ea6

Please sign in to comment.